What Is ExeScript?

ExeScript is a useful and efficient program with which you convert different scripts to executable files (.exe). It supports such script types as Batch (BAT), VBScript (VBS), JavaScript (JS), WSF, Windows Script Host (WSH), and HTML Application (HTA) files.You can protect the contents of .bat, .vbs, and .js files from modification by other users with ExeScript.

With ExeScript, you can choose the type of execution, add extra resource files to the final exe file, specify a Work Directory folder where the script will be executed, set the Script Type (window or console), and run Command Line and Version Info functions. ExeScript features a built-in InteliSence editor that supports the latest technologies and file types.

ExeScript is an ideal tool for automating scheduled tasks. You can create installation files and deployment modules and schedule and automatically execute various PC tasks.


What's New?

The following unique new features are available in ExeScript version 3.0:

  • New script types - HTA (HTML Application), WSF, and WSH have been added.
  • Additional resource files - Include additional resource files in the final exe file.
  • Work Directory - Specify the folder for unpacking the script and resources.
  • Script Type - Specify the script type - window or console.
  • Command Line - Use the command line for running the script.
  • Change or Remove Icon - Select an icon from ICO, EXE, DLL, and other files containing icons and change or remove them from the final exe file.
  • Version Info - Add information about the developer and version of the final exe file.
  • Script encryption - Strong AES 256-bit encryption is now used. Modified information from the registration key of the user serves as an encryption key. If the program is unregistered, the key is "ExeScript". Thus, an exe file compiled with the trial version can be easily decrypted. Registration information from the copy of ExeScript the exe file was created in is required in the registered version.
  • Execution Type - (only for JS and VBS) The script is executed in computer memory without writing to the disk. Therefore, the security of the script is enhanced because it is impossible to see the contents.
  • Password-protected launch - You can set a password for running the script converted into an exe application. Since the contents of the script are encrypted with this password, the protection of the script is increased.
  • Executable compression - ExeScript compresses the executable file to make the exe application as small as possible.
  • Full support of Unicode.
  • New Interface - With a more comfortable and modern interface, dynamically switching between interface styles, you can quickly edit project settings using the toolbars.
  • New Editor - Supporting all modern technologies -
  • InteliSence - Hints for object elements
  • OutLine - Collapsing logically related parts of code (for example, functions and loops), syntax highlighting, undoing the last actions, etc.


ExeScript Useful Features

Built-in editor

ExeScript's built-in editor has the following features:

  • InteliSence hints for object elements.
  • OutLine - collapsing logically related parts of code (for example, functions, and loops).
  • Highlighting keywords, syntax highlighting.
  • Undoing/redoing the last actions.
  • Copying and pasting text from the clipboard.
  • Searching the contents of the file.

Silent Mode

Silent Mode makes the script invisible to other users. Script execution will remain unnoticed. Users will not see any windows and confirmation dialog boxes.

Note Note: This option is unavailable for an HTA file.

Resource Files

Resources constitute an important part of any application: icons, images, files, folders, and other objects that make working in Windows so comfortable. With ExeScript, you can add resource files to your exe application so you can use these resources from your program.

Execution Type

You can execute your application directly from memory. In this case, the security of the script is enhanced since it is virtually impossible to see its content. Also, you can considerably speed up the execution of applications.

Script Type

You can specify the script type - window or console.

Work Directory

You can specify the location where the application will be executed. The specified path will also be used to unpack additional resource files if they are included in the application.

Version Info

You can use Version Info to specify information about the developer and the application.

Command Line

You can specify the command line that will be executed together with the application.

Password-protected launch

With ExeScript, you can create an application whose launch is protected with a password so it will not be run without authorization.

Executable compression

ExeScript compresses the executable file to make the .exe application as small as possible. This helps prevent direct disassembly.


Purchasing ExeScript

You can purchase a license using a credit card (online, by phone, or by fax), a check, wire transfer, PayPal, or by placing a purchase order.

If you want several developers to use the product, you have to purchase the corresponding number of licenses. Everstrike Software offers volume discounts for purchases of multiple licenses. Please contact us for further information.

The following types of licenses are available for ExeScript: Home License, Business License.

The Home License is intended for non-commercial home use only. If the product will be used by organizations, whether business, non-profit, state-owned or government (local, state or federal) or any other type, or if an individual is purchasing the program for commercial purposes (i.e. a home or family business), you must obtain a Business License.

The table below shows the cost of the full-featured version of the program without any limitations:

License Pricing (per developer)
License Type | Price |
ExeScript Home License 1 user | $49.95 | Order Now
ExeScript Business License 1 user | $99.95 | Order Now

Registration benefits:

  • All trial version limitations removed (both functional and time constraints)
  • 12 months of maintenance and support
  • Free upgrades for one year and discounts for future upgrades thereafter

Check Order page: http://www.scriptcode.com/purchase/

If you have questions regarding the purchase of our products, please contact us.


Registering ExeScript

Note When you purchase ExeScript, you will receive a registration key. Save this number in a safe place; you will need it if you ever reinstall the software or if you contact technical support.

When first installed, ExeScript will be in unregistered mode. The software will remain usable for a total of 15 days before it expires and the software is disabled.

To stop your software from becoming disabled, and to remove the unregistered notification screens, you will need to register your copy of ExeScript with your registration code.

To register ExeScript:

  • Open your registration email from Everstrike Software.
  • Highlight your key using the mouse and select Copy on the shortcut menu (or use the Ctrl+C keyboard shortcut).
  • Start ExeScript by clicking Start > Programs > ExeScript.
  • Click Help > Register.
  • Click the Paste button in the Registration dialog.
  • Click OK to close the message box that tells you to restart ExeScript.
  • Then exit the ExeScript and start it again.
  • You should find your name following the 'Registered to:' phrase. If so, all trial restrictions are automatically removed from your version.

See also:

Purchasing ExeScript


Interface

ExeScript's main window consists of one (or several) areas where you can edit the content of the script, the Properties pane, the Resource View pane, a menu, and a toolbar. When you create a new project, a new window for editing the script is created. You can show/hide, close, minimize/dock, or rearrange the Properties and Resource View panes - see Customizing the program view for details.

ExeScript Main Window


Menus

File menu

  • New - Create a new script project.
  • Open - Open an existing script file.
  • Close - Close the open file.
  • Save - Save the current script to the file.
  • Save As... - Save the current file under a different name or to another location.
  • Print - Print the current file of the selected elements.
  • Print Preview - Preview the file before printing it.
  • Print Setup - Change the printer and print options.
  • Exit - Exit theExeSCript. (Note: If there are files that have not been saved, the ExeScript will ask you if they should be saved.)

Edit menu

  • Undo - Undo the last command.
  • Redo - Redo the last command or action.
  • Cut - Cut the selected fragment to the clipboard.
  • Copy - Copy the selected fragment to the clipboard.
  • Paste - Paste the content of the clipboard to the cursor position (optionally replacing a selected fragment).
  • Find - Search the file for the specified text.
  • Replace - Search the document for the specified text and replace it with a different text.

View menu

  • Toolbars > Standard - Show/hide the toolbar.
  • Toolbars > Customize... - Customize the toolbar and menu commands.
  • Properties - Show/hide the project properties pane.
  • Resource View - Show/hide the project resource pane.
  • Status Bar - Show/hide the status bar.
  • Application Look - Customize the appearance of ExeScript. Change the color schemes.

Project menu

  • Run source raw/uncompiled - Run the script in the program window without conversion.
  • Build - Build a project.
  • Compile + Run - Compile and run the program.
  • Disable confirmation message - Disable information messages.

Window menu

  • New Window - Create a new window.

    Note Note: If you have one or more open windows, a list of them will be available below this command. You can make a window active by selecting it in the Window menu.

  • Windows... - Open the dialog box for managing windows.

Help

  • Contents - Open help for ExeScript.
  • Register - Register the program after purchase. Use your unlock code for registration.

    Note For details, see Purchasing ExeScript.

  • Buy Now! - Open the Web page for buying a license at www.hide-folder.com
  • About ExeScript - Show information about ExeScript: version number, registration information, and additional links.

See also:

Toolbar


Toolbar

The ExeScript toolbar consists of the following icons:

New - Create a new script project.

Open - Open an existing script file.

Save - Save the current script to the file.

Cut - Cut the selected fragment to the clipboard.

Copy - Copy the selected fragment to the clipboard.

Paste - Paste the content of the clipboard to the cursor position (optionally replacing a selected fragment).

Find - Search the file for the specified text.

Undo - Undo the last command.

Redo - Redo the last command or action.

Build project - Build a project.

Print - Print the current file of the selected elements.

About - Show information about ExeScript: version number, registration information, and additional links.

See also:

Menus


Properties Pane

The Properties pane contains the properties and settings of the currently active project. Any changes you make will be applied after compilation.

You can change the order of fields, sorting them with the help of buttons on the pane toolbar.

Sort by category - Sort fields by categories.

Alphabetic sort - Sort fields alphabetically.

The Properties pane has the following fields:

Main

Work Directory - Defines the location for unpacking the script, shows the folder where additional resource files specified on the Resource View pane are unpacked.

Current directory - Unpack the script to the directory the compiled exe file is run from.

Other directory - Unpack the script to the user-defined folder.

Note Note: To specify the directory, select it in the list and click OK. The selected directory will be specified in the Directory field.

Directory - The path to the user-defined folder for unpacking the script when the exe file is run.

Note Note: You can change the path to the folder manually by clicking the field itself of using the [image] button.

Silent Mode - Defines whether to run in a hidden or visible window. It can take two values:

True - Run the script in silent mode. Users will not see windows with the script and will not notice that it is running.

False - Run the script in visible mode.

Note Note: This option is unavailable for an HTA file.

Script type - Defines the script type: windowed or console.

Windows - A windowed script.

Console - A console script.

Note Note: This option is unavailable for batch and HTA files.

Command Line - The command line for running the script. It is not used if the compiled exe file will be run with a command line.

Execution type - You can specify the type of script execution: from memory or from Work Directory.

Extract - The script will be unpacked to the Work Directory once it is run.

Compile - The script will be executed in computer memory. This option uses the ExeScript Host Technology.

Note Note: This option is available only for VBS and JS scripts.

Output file - The file with the compiled script.

Note Note: This field is specified after the script is compiled. After that, you can manually edit the name of the file by either clicking the field itself or using the [image] button.

Icon

Icon type - Sets an icon for the created exe application.

No Icon - The application icon will be removed from the created exe file.

ExeScript Icon - The ExeScript icon will be the icon of the application.

Custom Icon - A user-defined icon will be the icon of the application. It is possible to select an icon from .ico, .exe, .dll and other files containing icons.

Note Note: To set a custom icon for the application, select a file with the icon in the Open... dialog box.

Icon path - Shows the path to the icon file if the previous option is set to Custom Icon.

Version Info

- You can specify information about the exe application and about its developer.

Select the Version Info checkbox to include this information in the exe file.

Comments - Any comments.

CompanyName - The company's name.

FileVersion - The version of the exe file.

LegalCopyright - Copyright information.

ProductName - Product name.

ProductVersion - Product version.

Security

Password - You can prevent unauthorized use of the exe file. Enable the Password option and specify a password required to run the exe application.

Note Note: If you enable the Password option and specify no password, the password will be empty.

Note Note: If the Password option is selected, the specified password will also be used for script encryption.


Resource View Pane

The Resource View shows information about resource files included in the exe application. To show the pane, click the Resource View tab. The pane contains a toolbar for managing resources.

Resource View Pane

Add folder to project - Add a folder as a resource to the exe application.

Add file to project - Add a resource file to the exe application.

Note Note: The Resource View pane supports Drag&Drop. You can drag and drop files and folders with resources onto the pane in order to add them.

Exclude from project - Remove the selected resource from the project.

Files display mode - Switch the mode of displaying file names.

All included resources are displayed in the resource list.

Note Note: Work Directory in the Properties pane shows the folder where additional resource files specified on the Resource View pane are unpacked.


Customizing the Program View

ExeScript has a customizable interface that consists of one main pane and several customizable panes, which you may hide/show, freeze/unfreeze, or relocate.

  • To hide/show a pane, select the View menu and check/uncheck the corresponding boxes.
  • To freeze/unfreeze the pane on the screen, use the pin buttons: - the window pops up, [image] - the window is frozen
  • If the pane is frozen, you may move it to a different location. Hold down the shift key and drag the pane with your mouse to a new location. To dock the pane with other panes, use up-down and right-left arrows [image].

See also:

Interface


Creating a New Script

Select the File -> New menu command or click the corresponding New toolbar button to create a new script. Use the list to select the type of the file you want to create. A new script file window will appear in the main area of the program. The default name of the file is Untitled. The icon next to the script name shows the type of script.

After the script window appears, you can start entering its lines of code.

If you change the settings of the script in the Properties pane, ExeScript Options lines will be added at the top of the script. These lines are necessary to maintain the properties in the future.

See also:

Opening an Existing Script
Editing a Script
Saving a Script


Opening an Existing Script

If you need to open an existing script file, select the File -> Open... menu command or using the corresponding Open toolbar button. Select the script file in the dialog box and click Open. You can make finding the necessary file easier if you specify the File Type field.

Note Note: To open an existing file, you can drag and drop it onto the main window of the program.

After you select the file, its content becomes available in a new window in the main area of the program. The title of the window will coincide with the name of the file.

The properties of the file will be specified after you open it.

See also:

Creating a New Script
Editing a Script
Saving a Script


Editing a Script

To edit a script, make its content available in the application window. If the content is not available, open the script file using the File -> Open... menu item or the corresponding Open toolbar button. Select the script you need using the tab with the name of the file.

You can edit both the content of the file and its properties.

The built-in editor has convenient text input features. You can undo/redo the last actions, copy and paste text via the clipboard, and highlight syntax.

See also:

Creating a New Script
Opening an Existing Script
Saving a Script


Saving a Script

You can save a new or edited script to the disk using the File > Save menu or the corresponding Save toolbar icon. Specify the location and the name for the file you are saving in the dialog box.

You can also save a file under a different name or to a different location using the File > Save As... menu command.

The properties of the script will be saved together with the content of the file.

See also:

Creating a New Script
Opening an Existing Script
Editing a Script


Converting/Compiling a Script

There are many situations when it may be necessary to compile and convert a script. You may often need to protect the content of the script from other people, protect it against being modified by other users, or make it easier to run it.

To convert the script, select the Project > Build menu command or click the corresponding Build project toolbar button. You can also use the F7 shortcut key. ExeScript will allow you to specify the name of the executable file and the location to save it to.

Note Note: You can run the script without creating an exe file. Select the Project->Run Source Raw/Uncompiled menu command. The script will be executed from the window of the program.


Creating an Exe Application

To create an exe application, select the Project > Build menu command or click the corresponding Build project toolbar button. You can also use the F7 shortcut key to execute this command. ExeScript will ask you to specify the name of the exe application and the location to save it to. Specify the name of the file and click Save.

Note Note: The Project > Compile + Run menu command will run the exe file after it is created.


How to Convert a Script to Exe

Before you convert the script into an exe file, you can check how the script is executed without compiling it. Use the Project > Run Source Raw/Uncompiled command or press the F6 shortcut key.

To convert a script into an exe file, create a new script or open an existing script file in the main window of ExeScript. Edit the script file, if necessary.

Then do the following:

  1. Select the Project > Build command to convert the script into an exe file.
  2. Specify the name of the exe file and the location where the exe file should be saved.
  3. Click the Save button.

ExeScript will convert the script and inform you about the result. Use Windows Explorer to navigate to the location where you saved the exe file so you can run it.

Use the Project > Compile + Run menu command to convert the script into an exe file and run it in one step.

See also:

How to Convert Bat to Exe
How to Convert Vbs to Exe
How to Convert Wsh to Exe
How to Convert Hta to Exe
How to Convert Js to Exe


How to Convert Batch Files to Exe

A batch (bat) file contains text commands that are interpreted by a special program once the file is run. The interpreter reads commands one by one from the bat file and executes them.

Typical operations performed by bat files include operations with files, running programs, and printing or displaying text.

A considerable disadvantage of batch files is that they execute slowly because it is necessary to create new sub-processes for each of the commands.

The content of batch files is available to anyone; it is possible to edit such files in Notepad or any other text editor.

To create a bat file, start ExeScript, create a new project using File > New > Batch file. Enter the lines with commands in the script file window. Alternatively, you can open an existing bat file by selecting the File > Open... menu command.

After you prepare the script, you can convert the batch file into an exe file by selecting the Project > Build command. Save the exe application to the desired location.

Sample Batch to Exe Conversion

Let's look at an example of creating a simple batch script and converting it into an exe application.

  1. Create a bat project.
  2. Type the following lines in the batch script window:
    @echo How to convert batch to exe
@pause
  3. Select File > Save As...
  4. Set the File Type to Batch files.
  5. Type 1.bat in the File Name field.
  6. Save it in the root folder of disk C: (or wherever you like).
  7. Select Project > Run Source Raw/Uncompiled from the menu to check how the script is executed.
  8. To convert the batch file to an exe file, select the Project > Build command.
  9. Set the File Type to Executable files.
  10. Type 1.exe in the File Name field.
  11. Save it in the root folder of disk C: (or wherever you like).
  12. Open disk C: (or wherever you saved the application) and run the file 1.exe.

Two lines will be displayed on the screen:

How to convert batch to exe
Press any key to continue...

After you press any key, the window will be closed because the exe file finished executing.

Note Note that the @ character before each command in the bat file means that the command itself must not be displayed on the screen, only the result of its work must be displayed.

See also:

How to Convert Script to Exe
How to Convert Vbs to Exe
How to Convert Wsh to Exe
How to Convert Hta to Exe
How to Convert Js to Exe


How to Convert VBS to Exe

Visual Basic Scripts (VBS) are most often used in the following cases:

  • Automating the administration of Windows systems.
  • Server program code in ASP pages.
  • Client scripts in Internet Explorer.

VBS files are interpreted by the vbscript.dll that can be called from the Web environment, the Windows GUI environment, and from the command line environment.

Converting a vbs file into an exe file gives you the following benefits:

  • The content of the script will not be available for viewing and modifying.
  • The script will be executed directly in computer memory.
  • Faster execution.
  • You can distribute your script to other users without allowing them to view and modify the contents of the VBS file.

To convert a VBS file into an exe file:

  1. Start ExeScript.
  2. Create a new VBScript project using the File > New > VBScript file menu command or the corresponding New toolbar button. Alternatively, open a previously saved VBS file, using the File > Open... menu command or clicking the Open toolbar button. Select the file and click Open.
  3. Make changes in the VBS file, if necessary.
  4. Save the file using the File > Save command or the Save toolbar button, or save an existing file to a new one using File > Save as...
  5. Open the Properties Pane.
  6. Set Script type = Console for a console script, or
  7. To use the ExeScript Host Technology and execute the script in memory without writing to the hard drive, set Execution Type = Compile
  8. Check how the script is executed by selecting the Project->Run Source Raw/Uncompiled command.
  9. Click Project > Build to convert the VBS file into an exe file.
  10. Type the name of the exe application and click Save.

ExeScript will inform you about the result of the conversion. The created exe file will be located in the folder you specified earlier.

See also:

How to Convert Script to Exe
How to Convert Bat to Exe
How to Convert Wsh to Exe
How to Convert Hta to Exe
How to Convert Js to Exe


How to Convert HTA to Exe

With an HTML Application (HTA), it is possible to create exe applications using HTML and DHTML files.

An HTA file can be made from a normal HTML file by simply changing its file extension to .hta. HTA files have more privileges than html files. They can display menus, icons, toolbars, and title information created by Web developers.

Unfortunately, HTA files have a drawback; the content of HTA files can be viewed and modified. You can solve this problem by converting an HTA file into an exe application.

To convert an HTA file into an exe application:

  1. Select the Project > Build command in ExeScript.
  2. Specify the name of exe file and the location where the exe file should be saved.
  3. Click the Save button.

ExeScript will convert the HTA file into an exe file and inform you about the result.

Most HTA scripts use external resources. For example, the following simple script uses the file simple.ico as the application icon:

<HTML>
<HEAD>
    <TITLE>HTA Demo</TITLE>
        <HTA:APPLICATION ID="oHTA"
        APPLICATIONNAME="myApp"
        BORDER="thin"
        BORDERSTYLE="normal"
        CAPTION="yes"
        ICON="simple.ico"
        MAXIMIZEBUTTON="yes"
        MINIMIZEBUTTON="yes"
        SHOWINTASKBAR="no"
        SINGLEINSTANCE="no"
        SYSMENU="yes"
        VERSION="1.0"
        WINDOWSTATE="maximize"/>
        SCRIPT>
        /SCRIPT>
</HEAD>
<BODY SCROLL="no">
    <PRE ID=oPre> </PRE>
</BODY>
</HTML>

You can compile this HTA into an exe, but you must make sure that the file simple.ico is located in the folder specified in the Work Directory property in ExeScript.

There are two ways to accomplish this.

  • Specify Work Directory = Script Directory and save simple.ico to the folder with the EXE file.
  • Add simple.ico to the Resource View pane in ExeScript. ExeScript will include simple.ico in the exe file. It will always be located in the same folder as the main script and will not depend on the Work Directory property.

See also:

How to Convert Script to Exe
How to Convert Bat to Exe
How to Convert Vbs to Exe
How to Convert Wsh to Exe
How to Convert Js to Exe


How to Convert JS to Exe

JScript (JS) is available via Internet Explorer, Windows Script Host, and Active Server Pages. Besides adding client scripts to Web pages, JScript can be used for other purposes as well, for example, to automate the administration of Windows systems and create ASP pages.

The conversion of a JS file will allow you not only to protect the content of the script file against being viewed, but also to execute the script in computer memory. It allows you to distribute your files to other users without letting them modify and view the contents of your scripts.

To convert JScript into an exe application:

  1. Select the Project > Build command in ExeScript.
  2. Specify the name of exe file and the location where the exe file should be saved.
  3. Open the Properties Pane.
  4. Set Script type = Console for a console script.
  5. To use the ExeScript Host Technology and execute the script in memory without writing to the hard drive, set Execution Type = Compile
  6. Click the Save button.

ExeScript will convert the JS file into an exe file and inform you about the result.

See also:

How to Convert Script to Exe
How to Convert Bat to Exe
How to Convert Vbs to Exe
How to Convert Wsh to Exe
How to Convert Hta to Exe


ExeScript Host

Everstrike's ExeScript Host is a language-independent scripting host for VBS and JS scripts. It brings simple, powerful, and flexible scripting to the Windows platform allowing you to run scripts of this type directly from memory.

ExeScript makes objects and services available for the script and provides a set of guidelines within which the script is executed. Also, Windows Script Host controls script security. ExeScript Host is a perfect solution for those who want to protect their scripts from viewing to the maximum extent and do not want to refuse the features of Windows Script Host. After you convert scripts into exe, they will be run with the use of ExeScript Host.

See also:

Using ExeScript Host
ExeScript Host Object Model
ExeScript Host Language


Using ExeScript Host

You can use the ExeScript Host technology only in VBS and JS scripts. Create a new VBS or JS script or open an existing one and use the Properties pane to set the Execution Type option to Compile.

Compile the script into exe. After the compilation, your script will be embedded into exe and will run via ExeScript Host, executed in memory.

See also:

ExeScript Host
ExeScript Host Object Model
ExeScript Host Language


ExeScript Host Object Model

The illustration that follows represents the ExeScript Host Object Model hierarchy.

The ExeScript Host Object Model hierarchy

The table contains ExeScript Host objects and typical tasks related to them.

Object | What you can do with this object.
Wscript
  • Set and retrieve command line arguments.
  • Determine the name of the script file.
  • Determine the name of the exe file.
  • Determine the host file name (wscript.exe or cscript.exe).
  • Determine the host version information.
  • Create and Get COM objects.
  • Stop a script's execution programmatically.
  • Output information to the default output device (for example, a dialog box or the command line).
WshArguments | Access the entire set of command-line arguments.
WshNamed | Access the set of named command-line arguments.
WshUnnamed | Access the set of unnamed command-line arguments.

See also:

ExeScript Host
Using ExeScript Host
ExeScript Host Language


ExeScript Host Language

If you set Execution Type to Compile, you can use the following properties and methods of the WScript object implemented in ExeScript:

WScript.FullName - Full path to the executable file+exe name. Example: c:\test\1.exe
WScript.Name = "ExeScript Host"
WScript.ScriptFullName - Work Directory + script name. Example: "C:\Documents and Settings\Login\Local Settings\Temp\untitled1.vbs"
WScript.ScriptName - Script file name. Example: untitled1.vbs
WScript.Sleep(time) - Script delay, in milliseconds.
WScript.Version = 5.6
WScript.BuildVersion = 8820
WScript.Interactive = (true or false). Shows the ExeScript property - SilentMode.

Note Note: The relation is inverse here: If interactive=true, then silentmode=false.

WScript.Echo [arg1] [,arg2] [,arg3] : - For displaying on the screen according to the SilentMode and ScriptType properties.
WScript.Arguments - Command line arguments either specified in ExeScript properties or sent as exe file parameters.
WScript.Quit(result) - Terminating the script with the specified error code result.

WScript.StdErr - Exposes the write-only error output stream for the current script.
WScript.StdIn - Exposes the read-only input stream for the current script.
WScript.StdOut - Exposes the write-only output stream for the current script.

WScript.GetObject(strPathname [,strProgID], [strPrefix]) - Returns an existing object with the specified ProgID or creates a new one from the file.

strPathname - The fully qualified path name of the file that contains the object persisted to disk.

strProgID
Optional. The object's program identifier (ProgID).

strPrefix
Optional. Used when you want to sync the object's events. If you supply the strPrefix argument, ExeScript connects the object's outgoing interface to the script file after creating the object.

WScript.CreateObject(strProgID[,strPrefix]) - Creates a COM object.

strProgID
String value indicating the programmatic identifier (ProgID) of the object you want to create.

strPrefix
Optional. String value indicating the function prefix.

Wscript.ConnectObject(objEventSource, strPrefix) - Connects the object's event sources to functions with a given prefix.

objEventSource
Required. Object you want to connect.

strPrefix
Required. String value indicating the function prefix.

Wscript.DisconnectObject(obj) - Disconnects a connected object's event sources.

Obj
String value indicating the name of the object to disconnect.

See also:

ExeScript Host
Using ExeScript Host
ExeScript Host Object Model


Batch Commands

Batch Commands in batch files
@ Does not echo back the text after the at symbol. This is most commonly used as @ECHO OFF to prevent any of the commands in the batch file from being displayed just the information needed.
%1 Variables can be inserted into a batch structure in the form of command line arguements. These are in the form %1, %2, etc. To populate the variables, type the desired values after the batch file name when executing it. The following is a batch file example:
echo Hello %1
When the above one line batch file is created and adding your name after the batch file. For example typing myname (being the name of the bat file) and then your name:

myname bob

would output:

Hello bob
:LABEL | By adding a colon in front of a word such as LABEL you create a category, more commonly known as a label. Then you can skip to certain sections of a batch file such as the end of the batch file. Also see GOTO.
CALL Calls another batch file and then returns control to the first when done.
CALL C:\WINDOWS\NEW_BAT.BAT
Call another program.
CALL C:\WINDOWS\System32\calc.exe
CHOICE Allows user input. Default is Y or N. You may make your own choice with the /C: switch. The following is a batch file example:
@ECHO OFF
CHOICE /C:123
IF errorlevel 3 goto THREE
IF errorlevel 2 goto TWO
IF errorlevel 1 goto ONE>

:ONE
  ECHO One
  PAUSE
  EXIT
:TWO
  ECHO Two
  PAUSE
  EXIT
:THREE
  ECHO Three
  PAUSE
  EXIT
CLS | Clears the screen.
ECHO Setting ECHO "on" will display the batch process to the screen, setting it to "off" will hide the batch process. ECHO can also be used in batch file to send output to the screen:
@ECHO OFF
ECHO Hello
PAUSE
ECHO. sends a blank line
EXIT | Exits out of the DOS window if the batch file is run from Windows.
GOTO | Used to go to a certain label such as LABEL. An example of GOTO would be to GOTO SUBSECTION.
IF Used to check for a certain condition if the condition exists. If that condition exists, it will perform that function. The following is a batch file example:
@ECHO OFF
:START
  COPY file.txt file2.txt
  IF errorlevel 1 GOTO MKFILE
  GOTO :END
:MKFILE
  ECHO file text>file.txt
  GOTO START
:END
  ECHO Quitting
  PAUSE
PAUSE | Prompt the user to press any key to continue.
REM | You can place comments (remarks) into the batch file without displaying or executing that line when the batch file is run.
SHIFT | Changes the position of replaceable parameters in a batch program.
START | Used for Windows 95, Windows 98 and Windows NT 4.0 and above to start a windows application such as START C:\WINDOW\CALC would run the Windows Calculator.

Note Depending on the version of DOS you are using, either type in HELP and the command-name or type in the command-name and /? to receive help on the command.


Tips for Writing Batch Files

  • Use the ECHO command to write text to the screen.
  • Run Windows programs from the command line with the "start" command.
  • Use "command" debug mode to single-step through a Batch script.
  • If you use in a batch file something like if %1 == OK :, this may crash your batch file because, if %1 is empty, it will result in a syntax error. Instead, use if %1. == OK. :
  • There is a trick: use :: instead of REM.
  • To echo an empty line on the screen, use ECHO:
  • Instead of using DEFRAG, you can check individual files or groups of files to see if they are fragmented. To do so, type in 'CHKDSK filenames', where 'filenames' is a filename or group of filenames you would like to check. For example, to check the GAMES directory for fragmentation in *.DAT files, type in this command. CHKDSK C:\GAMES\*.DAT CHKDSK will give you a report of each file's non-contiguous blocks. The more non-contiguous blocks a file has, the more fragmented it is.

See also:

Batch File Examples


Batch File Examples

Password Example

The following batch file can be used to establish a password for running a program. The batch file is named START.BAT and calls the program named CALC.EXE.

@ECHO OFF
IF %1==ExeScript GOTO OK
ECHO WRONG PASSWORD
GOTO END
:OK
ECHO PASSWORD IS ACCEPTED...STARTING
CALC.EXE
:END

Below you'll see the response of the computer to various commands.

First the bad password. At the prompt type START 123.
C:/>
C:/>START 123
C:/>BAD PASSWORD

Now use the correct password. Type the correct command at the prompt.
C:/>
C:/>START ExeScript
C:/>PASSWORD IS ACCEPTED...STARTING

At this point the CALC.EXE program starts.

Backup your .doc files (Windows NT/2000/XP version)

usage: backbat backupdir
where: backupdir is the directory to copy your .doc files

@echo off
if not "%1"=="" goto argsok
echo usage:  %0 backupdir
echo where: backupdir is the directory to copy your .doc files
goto end

:argsok
  setlocal
  set backupdir=%1
  if not exist %backupdir% goto notfile
  echo %backupdir% is a file
  goto end
:notfile
  rem  If the directory does not exist, create it.
  if exist %backupdir%\nul goto skipdir
  md %backupdir%
  if "%errorlevel%"=="0" goto skipdir
  echo Error creating backup directory
  goto end
:skipdir
  rem  Copy each .doc file one at a time.
  rem  Note:  the for loop variable (%%b) must be contain only one letter.
  for %%b in ( *.doc ) do copy %%b %backupdir% > nul
  rem  Use the for loop again to check if each file was copied (since it is
  rem  difficult to run multiple commands in a for loop).
  for %%b in ( *.doc ) do if not exist %backupdir%\%%b echo %%b was not copied
:end
rem  Clean up
endlocal

How to make a time log

In the following example, you can create a time log of when the batch file is loaded or, for example, in the autoexec.bat file when someone logs into a computer.

ECHO. |TIME > TIME
COPY LOG +TIME

An alternate slightly more complicated method that, to our knowledge, cannot be used in Windows NT, Windows 2000 or Windows ME would be the following:

echo @prompt set date=$d$_set time=$t$h$h$h > {a}.bat
%comspec% /e:2048 /c {a}.bat > {b}.bat
for %%v in ({b}.bat del) do call %%v {?}.bat
echo %date% %time% >> log

Another alternative is:

echo. |time |find "current" >> log

For the above batch file to work properly, you must create a file called log by typing "edit log" (without the quotes) and then save and exit the file which will create the file at 0 bytes. If this file is not created or not created properly, you will receive the error message, "Content of destination lost before copy".

See also:

Tips for Writing Batch Files


Tips for Writing VBS Files

  1. It is possible to replace the combination of the statements Chr(13) + Chr(10) with the constant vbCrLf.
  2. If you want to display several strings in a MsgBox and each string on a new line, you should insert the constant vbCrLf between these strings:
    MsgBox "123" + vbCrLf + "123" + vbCrLf + "123" + vbCrLf + "123"
  3. If code does not fit into one line, you can use the line continuation character:
    if a=1 and b=2 or c=3 then alert a
    can be written like this
    if a=1 _
and b=2 _
or c=3 _
then alert a
  4. To "glue" two numeric variables, it is better to use the "&" character than "+", i.e.
    a="Hel" b="lo"
    then
    a&b="Hello"

See also:

VBS File Examples


VBS File Examples

Message Box

Dim strMessage
strMessage = "Compile scripts into stand-alone applications"
MsgBox strMessage

Reboot

To reboot the local machine from a VBScript script, you can use the following code. For the code to work, Windows Management Instrumentation (WMI) must be installed on the machine you're rebooting.

Set OpSysSet = GetObject("winmgmts:{(Shutdown)}//./root/cimv2").ExecQuery("select * from Win32_OperatingSystem where Primary=true")

for each OpSys in OpSysSet
    OpSys.Reboot()
next

To shut down the machine, change the OpSys.Reboot() line to OpSys.Shutdown().

Call Windows shutdown choice popup

set WshShell = wscript.CreateObject("Shell.Application")
WshShell.ShutdownWindows

See also:

Tips for Writing VBS Files


FAQ

Q. My vbs or js script is unpacked into a temporary folder. Why?

A. Specify Execution Type = Compile in the script options. In this case, the script will not be unpacked. ExeScript Host technology will be used to run it instead. It is the most secure way to run the script, nobody will be able to extract valuable information, everything is encrypted, etc. ExeScript is the only program of this kind that makes it possible not to unpack the script to a folder. However, there are some limitations concerning the use of some WScript elements. See the article ExeScript Host Language for details.

Q. My exe file is too large. Can I make it smaller?

A. Clear the Version Info checkbox, set Icon Type = No Icon. It is impossible to make the file smaller than that because strong encryption is used and the exe file contains the data and procedures necessary for working with the encrypted script.

Q. I just don't understand what Work Directory is for? What if Work Directory = Other Directory and the directory does not exist on the computer where the script is run?

A. Work Directory shows the folder where additional resources files specified on the Resource View pane are unpacked. If Execution Type = Extract, the script is also unpacked to Work Directory. If Execution Type = Compile, the script is not unpacked, but the current folder is set as Work Directory. If Work Directory = Other Directory and the directory does not exist on the computer where the script is run, the folder where the exe file is located is used by default.

Q. What is your upgrade policy?

A. Within one year after the purchase, you get all upgrades to the product free of any charges. Simply download the setup file with the latest version, install it, enter your existing license key into it, and that's all. If your one year of free upgrades has already expired, you can purchase the updated version at a discount.

Of course, you don't have to upgrade if you don't want to: you may continue using the version that you have purchased for as long as you like, if it works for you well enough, without paying any additional fees.

Q. What are the system requirements for using ExeScript?

A. To use ExeScript, you need the following.

  • Windows 2000/XP/2003/Vista/x64 Edition
  • Approximately 3MB of free disk space


Trial Versus Registered

ExeScript is Try Before You Buy software. It is NOT intended to be free or public domain use, which means that you can evaluate the program for a specified amount of time and register it if you think that it will meet your needs. Otherwise, you must stop using it. In the case with ExeScript, the trial period is set for 15 days.

The trial version of ExeScript is NOT crippled in any way, nor is there any functionality disabled in the program. Therefore, you can properly try out the software, so you know whether ExeScript is the program you want.

However, in the unlicensed copy (trial version), you will have a trial notification screen upon startup, a message stating you are running in evaluation mode in the main window title bar, and a screen on exit, asking you for your feedback on ExeScript.

Once you purchase the program, you will not get these limitations anymore, and you will also qualify for full technical support and free upgrades.


ExeScript License Agreement

Read this license agreement in full before using ExeScript.

  1. This Software License Agreement (the "Agreement") is a legal agreement between you, the end-user ("Licensee"), and Authors of this software ("Authors"). By using this software ("ExeScript") or storing it on a computer hard drive (or other type of media), you agree to be bound by the terms of this Agreement.
  2. ExeScript IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE ExeScript AT YOUR OWN RISK. Everstrike Software hereby disclaims all warranties and guarantees regarding the use, or the results of use, of ExeScript in terms of correctness, accuracy, reliability or otherwise. Everstrike Software will not be responsible for any incidental, consequential, direct or indirect damages, including but not limited to damages for loss of profits, business interruption and loss of information resulting from the correct or otherwise use of ExeScript even if Everstrike Software has been advised of the possibility of such damages. By installing ExeScript you acknowledge that you have read this disclaimer, understood it, and you agree to be bound by its terms and conditions. You also agree that the disclaimer is the complete and exclusive statement of agreement between the parties and supersede all proposals or prior agreements, oral or written, and any other communications between the parties relating to the subject matter of the disclaimer.
  3. All copyrights to "ExeScript" are exclusively owned by the authors - Everstrike Software.
  4. You are welcome to test the trial version of the program for 15 days. This gives you plenty of time to try out the program on your own system. After you test the trial version, you are required to license this product and discontinue use of the trial version. Only the trial version of ExeScript may be distributed freely on online services, bulletin boards, or other electronic media as long as the files are distributed in their entirety.
  5. After purchasing, Everstrike Software grants you a non-exclusive license to use one copy of the software, on one computer, and make one copy of it for archival purposes. For purposes of this section, "use" means loading the software into RAM, as well as installation on a hard disk or other storage device. You may access the software from a hard disk, or any other method you choose, so long as you otherwise comply with this agreement. You may not install the licensed version of the software onto a network server or in any other way make it available to more than one user at a time unless you have arranged in advance for a multi-user license; make copies of the software other than one backup copy solely for archival purposes; sell, furnish, transmit, or give away the software such that the software is exploited in a commercial way; or sublicense, rent, lease, or otherwise market the software. You may permanently transfer the software to another owner only by providing written notice of such transfer to Everstrike Software.
  6. You may not alter this software in any way, including emulate, clone, rent, lease, sell, modify, decompile, disassemble, changing or removing any messages or windows, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in severe criminal and/or civil prosecution.
  7. ExeScript in all its forms cannot be included as part of a commercially distributed product that is used to get payments or license fees without a prior consent from Everstrike Software. One license for ExeScript allows one developer to create, edit, and convert scripts and also create protected exe applications. This condition is also true for using ExeScript remotely. The following types of licenses are available for ExeScript:
    • The Home License is intended for non-commercial home use only. In all other circumstances, a Business License is required. This license does not allow you to install and use ExeScript on a corporate network, on a network server and also on computers allow other users to use the product via the network.
    • Business License: If the product will be used by organizations, whether business, non-profit, state-owned or government (local, state or federal) or any other type, or if an individual is purchasing the program for commercial purposes (i.e. a home or family business), you must obtain a Business License.
  8. An upgrade replaces a previous version. It does not provide an additional license. When upgrading, you must cease using the previous version and also ensure that it is not used by anybody else.
  9. All rights not expressly granted here are reserved by the Authors.
  10. The terms of this license, as well as the ExeScript interface design, documentation, and coding are subjects of changes in future versions of ExeScript without any prior notice.
  11. Installing and using ExeScript signifies acceptance of these terms and conditions of the license. If you do not agree with the terms of this license, you must remove ExeScript files from your storage devices and cease to use the product.

See also:

Trial Versus Registered


Installing ExeScript

Follow the instructions of the Installation Wizard. There is no need to reboot, so you can run the program right after it is installed on your system.

Note Note: Executable packages created with ExeScript can be run in all Windows operating systems.


Uninstalling ExeScript

ExeScript includes an automatic uninstaller to remove the software from your system.

How to uninstall ExeScript:

  1. Close ExeScript.
  2. Click the Windows 'Start' button.
  3. Open the 'Settings' menu.
  4. Open the 'Control panel'.
  5. Use the Windows Add/Remove Programs tool in the Control Panel to perform a clean uninstallation of ExeScript.
  6. Select the 'ExeScript' listing and click the 'Remove' button.
  7. Follow the instructions given by the uninstaller.


Contacting Everstrike

Check | General questions, Sales If you have any questions, comments, suggestions, or bug reports, please contact us via our feedback form http://www.hide-folder.com/support/
Check | Support and consulting Contact the technical support team and you will get a reply in one or two days, even over the weekend, please visit http://www.hide-folder.com/support/
Check | Our U.S. address: Pacific Business Centre Att: Everstrike Software P.O. Box 34069 #381 Seattle, WA 98124-1069 USA FAX: 206-984-3919 Voice: +1-866-70-80-900
Check | Our Canadian address: Pacific Business Centre Att: Everstrike Software #101 - 1001 W. Broadway Suite 381 Vancouver, BC V6H 4E4 Canada


Copyrights

Copyright © 2007 Everstrike Software. All rights reserved.

This documentation is published by Everstrike Software, and is intended solely for use in conjunction with ExeScript software. This documentation is available to all current Licensees in print and electronic format. No one may copy, photocopy, reproduce, translate, or convert to any electronic or machine-readable form, or post to a Web site, in whole or in part, the documentation without the prior written approval of Everstrike Software.

Trademarks

ExeScript and Everstrike Software are trademarks of Everstrike Software. Microsoft, Windows, Windows NT, Word, and Excel, are registered trademarks of Microsoft Corporation. Adobe, Acrobat, and Acrobat Reader are registered trademarks of Adobe Systems Incorporated. All other brands, company or product names, or trademarks belong to their respective holders.


How to Convert WSH to Exe

The Windows Script Host (WSH) has much more powerful features than batch files and is used to run scripts written in JScript, VBScript, and other languages (e.g. Perl).

Features of WSH include the following:

  • Interaction with full-featured languages with object capabilities
  • The necessary set of operations with strings
  • Interaction with any software implementing an object scripting interface (Active Scripting, or OLE Automation)
  • Access to object methods and properties
  • Operations with files and folders
  • Processing text files
  • Managing the registry

JS, VBS, WSF, and some other file types are run with the help of either wscript.exe (windowed execution in the GUI) or cscript.exe (batch and console execution).

A typical WSH file looks like this:

[ScriptFile]
Path=C:\SHORTCUT.VBS
[Options]
Timeout=10
DisplayLogo=1
BatchMode=0

The file stores user preferences such as the interactive or batch mode and gives system administrators a way to let different users run the same script with different settings.

Note Note: If you want to convert a WSH file into an exe file, the script itself specified in the Path variable must exist.

To convert a WSH file into an exe file:

  1. Select the Project > Build command.
  2. Specify the name of the exe file and the location where the exe file should be saved.
  3. Click the Save button.

ExeScript will convert the script and inform you about the result.

If you want to create an exe from a WSH file and distribute it freely to any computer, include this line in the script:

Path=shortcut.vbs

Then add the file shortcut.vbs to the Resource View pane in ExeScript.

See also:

How to Convert Script to Exe
How to Convert Bat to Exe
How to Convert Vbs to Exe
How to Convert Hta to Exe
How to Convert Js to Exe


ExeScript Online Help

Online Help


ExeScript Main Window